import 'package:flutter/material.dart';
import 'package:factory_signage_app/const/colors.dart';
import 'package:factory_signage_app/const/dimens.dart';

class OverlayText extends StatelessWidget {
  const OverlayText(
    this.data, {
    super.key,
    this.width = double.infinity,
    this.height = double.infinity,
    this.fontSize,
    this.strokeWidth = 5,
  });

  final String data;
  final double width;
  final double height;
  final double? fontSize;
  final double strokeWidth;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: height,
      child: Stack(
        children: [
          // Stroked text as border.
          Align(
            alignment: const Alignment(
              overlayAlignmentX,
              overlayAlignmentY,
            ),
            child: Text(
              data,
              style: TextStyle(
                fontSize: fontSize,
                foreground: Paint()
                  ..style = PaintingStyle.stroke
                  ..strokeWidth = strokeWidth
                  ..color = textWhiteColor,
              ),
            ),
          ),
          // Solid text as fill.
          Align(
            alignment: const Alignment(0.8, -0.8),
            child: Text(
              data,
              style: TextStyle(
                fontSize: fontSize,
                color: textBlackColor,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
