#!/bin/bash -e

SCRIPTS_DIR=$(cd "$(dirname "$0")" && pwd) || exit
PROJECT_HOME="$SCRIPTS_DIR/.."
CONFIG_DIR="$PROJECT_HOME/config"
FLUTTER_CUSTOM_DEVICES="flutter_custom_devices.json"

source "$SCRIPTS_DIR"/util.sh

if [[ ! -e "$HOME/.$FLUTTER_CUSTOM_DEVICES" ]]; then
    cp "$CONFIG_DIR/$FLUTTER_CUSTOM_DEVICES" "$HOME/.$FLUTTER_CUSTOM_DEVICES"
else
    if ! cmp "$HOME/.$FLUTTER_CUSTOM_DEVICES" "$CONFIG_DIR/$FLUTTER_CUSTOM_DEVICES" > /dev/null; then
        if prompt_yesno y "%s already exists, overwrite? [Y/n]" ".$FLUTTER_CUSTOM_DEVICES"; then
            cp "$CONFIG_DIR/$FLUTTER_CUSTOM_DEVICES" "$HOME/.$FLUTTER_CUSTOM_DEVICES"
        fi
    fi
fi

if [[ ! -e "$CONFIG_DIR/ssh/id_rsa" ]]; then
    ssh-keygen -f $CONFIG_DIR/ssh/id_rsa
fi
