if command -v gettext > /dev/null; then
    _gettext() { gettext -- "$@"; }
else
    _gettext() { printf -- "%s" "$@"; }
fi

prompt() {
    local var="$1"
    local prompt_fmt="$2"
    shift 2
    # shellcheck disable=SC2059 # fmt is a build time constant
    printf -- "$(_gettext "$prompt_fmt") " "$@"
    read -r "${var?}"
}

prompt_yesno() {
    local default="$1"
    shift 1
    local yesno

    while true; do
        prompt yesno "$@"
        [ -n "$yesno" ] || yesno="$default"
        case "$yesno" in
        [Yy]|[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|1)
            return 0;;
        [Nn]|[Nn][Oo]|[Ff][Aa][Ll][Ss][Ee]|0)
            return 1;;
        esac
    done
}
